--- title: "Get live curtain content list" slug: "media-livestation-curtaincontent-curtaincontentlist" tags: ["Live Station"] updated: 2026-09-17T10:12:40Z published: 2026-09-17T10:12:40Z canonical: "api.ncloud-docs.com/media-livestation-curtaincontent-curtaincontentlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get live curtain content list Available in Classic and VPC Get the live curtain content list. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v2/curtainContents | ### Request headers For information about the headers common to all Live Station APIs, see [Live Station request headers](/docs/en/media-livestation#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageNo` | Integer | Optional | Page number - 1-N | | `pageSizeNo` | Integer | Optional | Number of items per page - 1-N | | `status` | String | Optional | Filter by content status. - `CREATING` \| `READY` \| `PROCESSING_FAIL` \| `DELETED` - `CREATING`: Creating - `READY`: Ready - `PROCESSING_FAIL`: Creation failed - `DELETED`: Deleted | ### Request example The request example is as follows: ``` curl --location --request GET 'https://livestation.apigw.ntruss.com/api/v2/curtainContents?pageNo=1&pageSizeNo=2' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'x-ncp-region_code: KR' \ --header 'Content-Type: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | Array | - | Live curtain content list: [content](/docs/en/media-livestation-curtaincontent-curtaincontentlist#content) | | `total` | Integer | - | Total response count | #### `content` The following describes `content`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `id` | Integer | - | Content ID | | `registerTime` | Integer | - | Content creation date and time (millisecond) - Unix timestamp format | | `updatedTime` | Integer | - | Content update date and time (millisecond) - Unix timestamp format | | `status` | String | - | Content status - `CREATING` \| `READY` \| `PROCESSING_FAIL` \| `DELETED` - `CREATING`: Creating - `READY`: Ready - `PROCESSING_FAIL`: Creation failed - `DELETED`: Deleted | | `fileSize` | Integer | - | Content file size (byte) | | `fileDuration` | Integer | - | Content playback time (second) | | `input` | Array | - | Source content location list - `{Bucket name}/{Detailed path}` format | ### Response status codes For information about the HTTP status codes common to all Live Station APIs, see [Live Station response status codes](/docs/en/media-livestation#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "content": [ { "id": 413, "registerTime": 1755582009232, "updatedTime": 1755582013129, "status": "READY", "fileSize": 38304320, "fileDuration": 300, "input": [ "mybucket/data/loading_screen.mp4" ] }, { "id": 412, "registerTime": 1755579080117, "updatedTime": 1755579085344, "status": "READY", "fileSize": 2579365, "fileDuration": 300, "input": [ "mybucket/data/abcd.png", "mybucket/data/sound_nocopyright.mp3" ] } ], "total": 2 } ```